#include <stdio.h>
int main() {
  int x, c1, c2, c3, c4, c5;
  printf("Unesite petocifren ceo broj x:");
  scanf("%d", &x);
  if(x<100000 && x>9999) {
  c1=x/10000;
  c2=(x/1000)%10;
  c3=(x/100)%10;
  c4=(x/10)%10;
  c5=x%10;
    if(c1<c2<c3<c4<c5) 
	printf("Zbir brojeva je:%d", c1+c2+c3+c4+c5);
     else if(c1>c2>c3>c4>c5)
	printf("Zbir brojeva je:%d", c1+c2+c3+c4+c5);
     else if(c1>c2<c3>c4<c5)
      printf("Proizvod brojeva je:%d", c1*c2*c3*c4*c5);
     else if(c1<c2>c3<c4>c5)
       printf("Proizvod brojeva je:%d", c1*c2*c3*c4*c5);
    else printf("%d", x);
  }
  else printf("-1");
return 0;
}